Bug 1444050 - Chargeback report generation keeps whole openshift env in the memory (even after it finishes)
Summary: Chargeback report generation keeps whole openshift env in the memory (even af...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Šimon Lukašík
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1443606
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 13:30 UTC by Satoe Imaishi
Modified: 2017-05-31 14:55 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443606
Environment:
Last Closed: 2017-05-31 14:55:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-20 22:36:01 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/521eb1dfa345d902f2668b26d9db6ac7c761cbe8

commit 521eb1dfa345d902f2668b26d9db6ac7c761cbe8
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Apr 20 10:19:27 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 20 18:32:12 2017 -0400

    Merge pull request #14807 from isimluk/cb-container-performance-memory
    
    Do not store whole container env. in the reporting worker forever
    (cherry picked from commit 45ac9b673d289df65515a257804672233a2d57ac)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444050

 app/models/chargeback_container_image.rb   | 2 ++
 app/models/chargeback_container_project.rb | 2 ++
 2 files changed, 4 insertions(+)

Comment 5 Einat Pacifici 2017-05-29 06:51:32 UTC
Verified. Created report and watched the memory. The appliance memory remained stable.

Comment 7 errata-xmlrpc 2017-05-31 14:55:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.